Subject: bug#40675: Chromium doesn't start pulseaudio if pulseaudio isn't running

From: [email-masked]
Date: Thu, 13 Aug 2020 23:00:50 -0400

Hello,

pkill9 <[email-masked]> writes:

> It instead seems to use Alsa directly, because when I then run
> Pulseaudio, it just creates a 'dummy output'. This is annoying with the
> default Pulseaudio behaviour of exiting after 20 seconds of idling.

I did some more tests and it seem to work fine here.  Perhaps you were
bitten by this bug [0], where a dead pulseaudio connection will not be
restarted.  If you start Chromium without any pulseaudio server running,
it will cause it to auto spawn when it requires sound access.

Perhaps you can share the exacts step you use to reproduce this? Perhaps
some interaction with other sound applications is required for the
problem to manifest itself?

Thanks!

Maxim

[0] https://bugs.chromium.org/p/chromium/issues/detail?id=968540&q=microphone%20pulseaudio&can=1